<?php
if(isset($_POST['email'])) {
 
    // EDIT THE 2 LINES BELOW AS REQUIRED
    $email_to = "andrew@gwcreators.com;
    $email_subject = "Website Reservation for Lake Naivasha Resort";
 
    function died($error) {
        // your error code can go here
        echo "We are very sorry, but there were error(s) found with the form you submitted. Please try again. ";
        echo "The errors appear below.<br /><br />";
        echo $error."<br /><br />";
        echo "Please try again.<br /><br />";
        die();
    }
 
 
    // validation expected data exists
    if(!isset($_POST['first_name']) ||
        !isset($_POST['last_name']) ||
        !isset($_POST['email']) ||
        !isset($_POST['phone']) ||
	   !isset($_POST['date1']) ||
	   !isset($_POST['date2']) ||
	   !isset($_POST['adults']) ||
	   !isset($_POST['children']) ||
        !isset($_POST['comments'])) {
        died('We are sorry, but there appears to be a problem with the form you submitted. Please try again.');       
    }
 
     
 
    $first_name = $_POST['first_name']; // required
    $last_name = $_POST['last_name']; // required
    $email_from = $_POST['email']; // required
    $phone = $_POST['phone']; // required
	$date1 = $_POST['date1']; // required
	$date2 = $_POST['date2']; // required
	$adults = $_POST['adults']; // required
	$children = $_POST['children']; // not required
    $comments = $_POST['comments']; // not required
 
    $error_message = "";
    $email_exp = '/^[A-Za-z0-9._%-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/';
 
  if(!preg_match($email_exp,$email_from)) {
    $error_message .= 'The Email Address you entered does not appear to be valid.<br />';
  }
 
    $string_exp = "/^[A-Za-z .'-]+$/";
 
  if(!preg_match($string_exp,$first_name)) {
    $error_message .= 'The First Name you entered does not appear to be valid.<br />';
  }
 
  if(!preg_match($string_exp,$last_name)) {
    $error_message .= 'The Last Name you entered does not appear to be valid.<br />';
  }
	

 
 
 
  if(strlen($error_message) > 0) {
    died($error_message);
  }
 
    $email_message = "Reservation details below.\n\n";
 
     
    function clean_string($string) {
      $bad = array("content-type","bcc:","to:","cc:","href");
      return str_replace($bad,"",$string);
    }
 
     
 
    $email_message .= "First Name: ".clean_string($first_name)."\n";
    $email_message .= "Last Name: ".clean_string($last_name)."\n";
    $email_message .= "Email: ".clean_string($email_from)."\n";
    $email_message .= "Phone: ".clean_string($phone)."\n";
	$email_message .= "Arrival Date: ".clean_string($date1)."\n";
	$email_message .= "Departure Date: ".clean_string($date2)."\n";
	$email_message .= "Number of Adults: ".clean_string($adults)."\n";
	$email_message .= "Number of Children: ".clean_string($children)."\n";
    $email_message .= "Comments: ".clean_string($comments)."\n";
	
 
// create email headers
$headers = 'From: '.$email_from."\r\n".
'Reply-To: '.$email_from."\r\n" .
'X-Mailer: PHP/' . phpversion();
@mail($email_to, $email_subject, $email_message, $headers);  
?>
 
<!-- include your own success html here -->
 
Thank you for making your reservation at Lake Naivasha Resort. We will confirm with you shortly.
 
<?php
 
}
?>